function cg=Cgnu(Cp,gnu)
%        cg=Cgnu(Cp,gnu)
%
%    Compute C(gnu) Scale-free power-law strength factor
%
if min(gnu)<0.5 | max(gnu)>2.5
    error('gnu range error')
end
cg=NaN*ones(size(gnu));
i1=find(gnu<1.5);
if ~isempty(i1)
    cg(i1)=Cp/(2*pi)*gamma(1.5-gnu(i1))./gamma(0.5+gnu(i1))./(2*gnu(i1)-1)./2.^(2*gnu(i1)-1);
end
i2=find(gnu==1.5);
if ~isempty(i2)
    cg(i2)=Cp/(2*pi)*ones(size(gnu(i2)));
end
i3=find(gnu>1.5);
if ~isempty(i3)
    cg(i3)=Cp/(2*pi)*gamma(2.5-gnu(i3))./gamma(0.5+gnu(i3))./(2*gnu(i3)-1)./(2*gnu(i3)-2)./2.^(2*gnu(i3)-1);
end
return