% Shkrofsky PSD and Structure Function
%
gnu = 4/3;
Cn2 = 1.e-15;
Cs=Cn2Cs(gnu,Cn2);
qL = 1.e-3;
qs = 1.e2;
r = qL/qs;
q  = logspace(-4,3,100);
figure
Q = Shkarofsky(Cs,gnu,qL,qs,q);
loglog(q,Q,'r')
hold on  
loglog(q,Cs*q.^(-2*gnu-1),'b')
legend('Shkarofsky','Cq^{-11/3}')
xlabel('q')
ylabel('PSD')
title(['log10(Cn2)=',num2str(log10(Cn2))])
grid on

y = logspace(-1,3,100);
figure
D = ShkarofskyD(Cs,gnu,qL,qs,y);
loglog(y,D,'r')
hold on  
loglog(y,Cn2*y.^(2*gnu-2),'b')
grid on
legend('Shkarofsky','Cn2*y^{2gnu-2}',2)
title('Structure Function')
xlabel('y')
ylabel('D')