%Spatial Coherence => Phase structure function
%
gnu=4/3;
ep  = 2*gnu-1;

fMHz=10000;
k=2*pi*fMHz/300;
lp=linspace(1000,20000,5000);

figure
Cn2=1.e-13;
Cs = Cn2Cs(gnu,Cn2);
CF = k^2*Cs*gamma(3/2-gnu)/(pi*gamma(gnu+1/2)*ep*2^ep);
semilogy(lp/1000,(lp*CF).^(-1/ep),'r')
hold on

Cn2=1.e-15;
Cs = Cn2Cs(gnu,Cn2);
CF = k^2*Cs*gamma(3/2-gnu)/(pi*gamma(gnu+1/2)*ep*2^ep);
semilogy(lp/1000,(lp*CF).^(-1/ep),'b')

grid on
xlabel('Path Length -- km')
ylabel('Coherence Scale -- m')
legend('Cn2=10e-13','Cn2=10e-15')