function OK=DisplayRays(varargin)
%USAGE:    DisplayRays in plane
%          DisplayRays(Rays,nfig,'w')
%          
%INPUT:
%          Rays     = structure generated by RunRayTrace
%          nfig     = active figure for overlay
%          'c'      = Plot color for overlay
%
if isempty(varargin)
    clear
    ff=pickfile('RayTrace*.mat');
    load(ff)
    nRays=length(Rays);
    nfig=figure; OK=nfig;
    OK=gcf;
    for nRay=1:nRays
        xyz=Rays(nRay).xyz;
        hold on
        plot(xyz(1,:)/1000,xyz(3,:),'r')
    end
    grid on
    xlabel('x--km')
    ylabel('z--m')
else
    Rays=varargin{1};
    if isempty(Rays)
        ff=pickfile('RayTrace*.mat');
        load(ff)
    end
    H       =varargin{2}
    nfig    =varargin{3};
    COL     =varargin{4};
    nRays=length(Rays);
    for nRay=1:2:nRays
        xyz=Rays(nRay).xyz;
        hold on
        plot(xyz(1,:)/1000,xyz(3,:)-H,COL)
    end
    OK=1;
end
return
