function grad_n = Gradient_Of_Index_Of_Refraction(Position0,modelRfn)

%  This deceptively simple looking function calculates the gradient of the
%  index refraction at Position0 by differencing the indices symmetrically
%  located 0.5 meters along each axis wrt to Position0.  This has the great
%  benefit requiring testing Position0 being above the poles.
%  Additionally the peak error in any component of grad_n is about
%  2.5 parts in 10^7--pretty good.

% Position0 is current sample point

for i=1:3
    Position   = Position0;
    Position(i)= Position(i) - 0.5;
    h1         = Position(3);
    n_minus    = Index_Of_Refraction(h1,modelRfn);

    Position   = Position0;
    Position(i)= Position(i) + 0.5;
    h2         = Position(3);
    n_plus     = Index_Of_Refraction(h2,modelRfn);

    grad_n(i)  = n_plus - n_minus;
    if ~isreal(grad_n(i))
        error('G')
    end
end
return