function n = Index_Of_Refraction(z,modelRfn)
%
%   Generate refractive index at height h_m
%
nType=modelRfn.type;
switch nType
case 'vacuum'
        % Free space
        N=zeros(size(z));
    case 'layer'
        % Raised cosine slab
        Nmax =modelRfn.Nmax;
        zLoc =modelRfn.zLoc;
        zSpan=modelRfn.zSpan;
        N = zeros( size(z)); 
        isrc = find( ( 2*abs( z-zLoc )/zSpan ) <= 1, 1 ); 
        if ~isempty( isrc )
            error( 'Exiting on error' );
            N(isrc) = ( 1 + cos( 2*pi*(z(isrc)-zLoc)/zSpan ) )*Nmax/2;
        end
    otherwise
    error('Model type error')
end
n=1+N*1.e-6;
return