%  Raytracing Code (Input defined by Setup Inputs)
%Constants:
rtd =180/pi;
dtr =pi/180;

fileIN='Setup';
%Load  precomputed input file
ff = pickfile( 'Setup*.mat');
[filepath,fileID]=fileparts(ff);
fprintf('Initiating PropCode1 run \n');
load(ff);
nx = length(x); x_max=max(x);
nz = length(z); dz=z(2)-z(1);
modelRfnID=modelRfn.type;
%**********************************************************************************

%Quick estimate of beam extent:
pwr=abs(fftshift(fft(psi0))).^2;
pwrmax=max(pwr);
pwr=pwr/pwrmax;
nBeam=find(abs(diff(pwr))>1.e-5);
theta_start=grazAngle(nBeam(1));
theta_end  =grazAngle(nBeam(end));
if 0  %Check Beam Extent
    plot(grazAngle,dB10(pwr),'r');
    hold on
    plot(theta_start,dB10(pwr(nBeam(1))),'bo')
    hold on
    plot(theta_end  ,dB10(pwr(nBeam(end))),'bo')
    grid on
    xlabel('\theta--deg')
    ylabel('Beam Profile--dB')
end

nRays=40;
theta=linspace(theta_start,theta_end,nRays)*dtr;
phi  =ones(1,nRays)*pi/2;
z_offset=z(1);
H=source_z-z_offset;
%-------------------------------------------------------------------------------------------
fprintf('\nRay Tracing \n')
Rays=Launch_Rays(H,theta,phi,modelRfn,x_max);
outfilename=strrep(fileID,fileIN,'RayTrace-');
save(outfilename,'Rays','H','phi','theta','modelRfn')